| Home | Libraries | People | FAQ | More

## Struct template rolling_sum_impl

boost::accumulators::impl::rolling_sum_impl

## Synopsis

    // In header: <boost/accumulators/statistics/rolling_sum.hpp>

    template<typename Sample>
    struct rolling_sum_impl {
      // types
      typedef Sample result_type;

      // construct/copy/destruct
      template<typename Args> rolling_sum_impl(Args const &);

      // public member functions
      template<typename Args> void operator()(Args const &);
      template<typename Args> result_type result(Args const &) const;
    };

## Description

### `rolling_sum_impl` public construct/copy/destruct

1.     template<typename Args> rolling_sum_impl(Args const & args);

### `rolling_sum_impl` public member functions

1.     template<typename Args> void operator()(Args const & args);

2.     template<typename Args> result_type result(Args const & args) const;